GetOTPStatus

GET/auth/v1/users/current/totp/status

Query Parameters

user_id?user_id

The user_id query parameter.

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/auth.v1.OTPStatusResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "is_setup": {
        "type": "boolean",
        "title": "is_setup"
      },
      "created_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "created_at"
      },
      "backup_codes_remaining": {
        "type": "integer",
        "title": "backup_codes_remaining",
        "format": "int32"
      }
    },
    "title": "OTPStatusResponse",
    "additionalProperties": false
  }
}
curl -X GET "https://api.rixl.com/auth/v1/users/current/totp/status"

Success

application/json

{
  "$ref": "#/components/schemas/auth.v1.OTPStatusResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "is_setup": {
        "type": "boolean",
        "title": "is_setup"
      },
      "created_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "created_at"
      },
      "backup_codes_remaining": {
        "type": "integer",
        "title": "backup_codes_remaining",
        "format": "int32"
      }
    },
    "title": "OTPStatusResponse",
    "additionalProperties": false
  }
}